#include <iostream>
#include <random>

int main( void )
{
    int N = 5;
    int ci = 0;
    int cj = 0;
    float cr = 2.f;
    
    std::mt19937 gen( 814929381 ); 
    std::uniform_int_distribution<> city(1, 15);
    std::uniform_int_distribution<> park(1, 3);
    std::uniform_int_distribution<> tile(1, 12);
    std::uniform_real_distribution<> rand;
    
    std::cout << "<scene                 externalfile=\"./scenes/city"
        << city(gen) << ".scene\" />\n";
    
    for ( int ii = -N; ii <= N; ii++ )
    for ( int jj = -N; jj <= N; jj++ )
    {
        if ( ii == 0 && jj == 0 ) continue;
        
        float pC = pow( 1.f - ( sqrt( ii*ii + jj*jj ) / cr ), 3.f );
        if ( rand( gen ) < 0.2 )
        {
            std::cout << "<scene relativetiepoint=\"" << 
                ii * 100 << "," << jj*100 
                << ",0\" externalfile=\"./scenes/park"
                << park(gen) << ".scene\" />\n";
        }
        else if ( rand( gen ) < pC )
        {
            std::cout << "<scene relativetiepoint=\"" << 
                ii * 100 << "," << jj*100 
                << ",0\" externalfile=\"./scenes/city"
                << city(gen) << ".scene\" />\n";
        }
        else
        {
            std::cout << "<scene relativetiepoint=\"" << 
                ii * 100 << "," << jj*100 
                << ",0\" externalfile=\"./scenes/tile"
                << tile(gen) << ".scene\" />\n";
        }
    }
        
}
    
